Inhalte

# Funktion Choose

Gibt aus einer Argumentliste den gewählten Wert zurück.

### Syntax:

      Choose (Index As Integer, Expression1[, Expression2, ... [, Expression_n]]) As Variant

### Rückgabewert:

Variant. Ein vom Parameter Index abgeleiteter Wert.

### Parameter:

Index: Jeder numerische Ausdruck, der auf eine ganze Zahl gerundet wird. Index akzeptiert ganzzahlige Werte beginnend bei 1, die festlegen, welche der möglichen Auswahlmöglichkeiten zurückgegeben werden sollen.

Expression1, Expression2, …, Expression_n: Ausdrücke, die jede der möglichen Auswahlmöglichkeiten darstellen.

Die Funktion Choose gibt basierend auf dem Indexwert einen Wert aus der Liste der Ausdrücke zurück. Wenn Index = 1, gibt die Funktion den ersten Ausdruck in der Liste zurück, wenn Index = 2, gibt sie den zweiten Ausdruck zurück, und so weiter.

Wenn der Wert für "Index" kleiner als 1 oder größer als die Anzahl der aufgelisteten Ausdrücke ist, gibt die Funktion einen Wert Null zurück.

Error #5 tritt auf, wenn Parameter weggelassen werden. Error #13 tritt auf, wenn Index gleich Null ist.

### Fehlercodes:

5 Ungültiger Prozeduraufruf

13 Datentyp kann nicht konvertiert werden

### Beispiel:

Das folgende Beispiel verwendet die Funktion Choose, um eine Zeichenfolge aus mehreren Zeichenfolgen auszuwählen, die ein Menü bilden:

    Sub ExampleChoose
        Print ChooseMenu(2) ' "Format speichern"
        MsgBox Choose(index :=  -5, 9, "Basic", PI) ' Null
        MsgBox Choose(index := 3.14, 9, "Basic", PI) ' PI
    End Sub

    Function ChooseMenu(Index As Integer)
        ChooseMenu = Choose(Index, "Schnellformatierung", "Format speichern", "Systemformat")
    End Function

Verwandte Themen

Anweisung Select…Case

Funktion "Switch"